Index: examples/syscall.S
===================================================================
RCS file: /cvsroot/u-boot/u-boot/examples/syscall.S,v
retrieving revision 1.3
diff -p -u -r1.3 syscall.S
--- examples/syscall.S	19 Nov 2002 11:04:21 -0000	1.3
+++ examples/syscall.S	9 Dec 2002 08:58:00 -0000
@@ -77,4 +77,5 @@ name:				; \
 	SYSCALL(mon_free,SYSCALL_FREE)
 	SYSCALL(mon_udelay,SYSCALL_UDELAY)
 	SYSCALL(mon_get_timer,SYSCALL_GET_TIMER)
+	SYSCALL(mon_strtoul,SYSCALL_STRTOUL)
 #endif /* CONFIG_ARM XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */
Index: include/syscall.h
===================================================================
RCS file: /cvsroot/u-boot/u-boot/include/syscall.h,v
retrieving revision 1.2
diff -p -u -r1.2 syscall.h
--- include/syscall.h	19 Nov 2002 11:04:21 -0000	1.2
+++ include/syscall.h	9 Dec 2002 08:58:00 -0000
@@ -17,10 +17,11 @@ void *mon_malloc(size_t);
 void mon_free(void*);
 void mon_udelay(unsigned long);
 unsigned long mon_get_timer(unsigned long);
+unsigned long mon_strtoul(const char *cp,char **endp,unsigned int base);
 
 #endif    /* ifndef __ASSEMBLY__ */
 
-#define NR_SYSCALLS            11        /* number of syscalls */
+#define NR_SYSCALLS            12        /* number of syscalls */
 
 
 /*
@@ -38,5 +39,6 @@ unsigned long mon_get_timer(unsigned lon
 #define SYSCALL_FREE           8
 #define SYSCALL_UDELAY         9
 #define SYSCALL_GET_TIMER     10
+#define SYSCALL_STRTOUL       11
 
 #endif
Index: lib_ppc/board.c
===================================================================
RCS file: /cvsroot/u-boot/u-boot/lib_ppc/board.c,v
retrieving revision 1.5
diff -p -u -r1.5 board.c
--- lib_ppc/board.c	8 Dec 2002 09:53:33 -0000	1.5
+++ lib_ppc/board.c	9 Dec 2002 08:58:00 -0000
@@ -151,6 +151,7 @@ static void syscalls_init (void)
 	syscall_tbl[SYSCALL_FREE_HDLR] = (void *) irq_free_handler;
 	syscall_tbl[SYSCALL_GET_TIMER] = (void *)get_timer;
 	syscall_tbl[SYSCALL_UDELAY] = (void *)udelay;
+	syscall_tbl[SYSCALL_STRTOUL] = (void *) simple_strtoul;
 
 	addr = (ulong *) 0xc00;		/* syscall ISR addr */
 
 
